{{ header }}{{ column_left }}
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-shipping" data-toggle="tooltip" title="{{ button_save }}" class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="{{ cancel }}" data-toggle="tooltip" title="{{ button_cancel }}" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
            <h1>{{ heading_title }}</h1>
            <ul class="breadcrumb">
                {% for breadcrumb in breadcrumbs %}
                    <li><a href="{{ breadcrumb.href }}">{{ breadcrumb.text }}</a></li>
                {% endfor %}
            </ul>
        </div>
    </div>
    <div class="container-fluid pp">
        {% if success %}
            <div class="alert alert-success">
                <i class="fa fa-check-circle"></i> {{ success }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        {% if error %}
            <div class="alert alert-danger">
                <i class="fa fa-exclamation-circle"></i> {{ error }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        {% if error_warning %}
            <div class="alert alert-danger">
                <i class="fa fa-exclamation-circle"></i> {{ error_warning }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        <form action="{{ action }}" method="post" enctype="multipart/form-data" id="form-flat" class="form-horizontal">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><i class="fa fa-pencil"></i> {{ text_pending }}</h3>
                </div>
                <div class="panel-body">
                    {% if awb.num_rows == 0 %}
                        {{ text_no_data }}
                    {% else %}
                        <div class="table-responsive">

                            <table class="table table-bordered">
                                <tr>
                                    <td colspan="2">
                                        <h4 style="font-weight:bold; margin:0;">{{ text_sender }}</h4>
                                    </td>
                                </tr>
                                <tr>
                                    <td>{{ entry_pickup }}</td>
                                    <td>
                                        <select class="form-control" name="pickup_id">
                                            {% for pick in pickups %}
                                                {% if pick.LocationId == awb.row.pickup_id %}
                                                    <option value="{{ pick.LocationId }}" selected="selected">{{ pick.Name ~' | ' ~ pick.LocalityName }}</option>
                                                {% else %}
                                                    <option value="{{ pick.LocationId }}">{{ pick.Name ~ ' | ' ~ pick.LocalityName }}</option>
                                                {% endif %}
                                            {% endfor %}
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <h4 style="font-weight:bold; margin:0;">{{ text_recipient }}</h4>
                                    </td>
                                </tr>
                                <tr>
                                    <td>{{ entry_name }}</td>
                                    <td><input class="form-control" type="text" name="name" value="{{ awb.row.name }}"></input></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_county }}</td>
                                    <td>
                                        <select class="form-control" name="zone_id">
                                            {% for judet in judete %}
                                                {% if judet.code == awb.row.county_name %}
                                                    <option zone_id="{{ judet.zone_id }}" value="{{ judet.code }}" selected="selected">{{ judet.name }}</option>
                                                {% else %}
                                                    <option zone_id="{{ judet.zone_id }}" value="{{ judet.code }}">{{ judet.name }}</option>
                                                {% endif %}
                                            {% endfor %}
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td>{{ entry_locality }}</td>
                                    <td>
                                    <select class="form-control" name="city">
                                        {% for localitate in localitati %}
                                            {% if localitate.Name|trim|lower == awb.row.locality_name|trim|lower %}
                                                <option value="{{ localitate.Name }}" selected="selected">{{ localitate.Name }}</option>
                                            {% else %}
                                                <option value="{{ localitate.Name }}">{{ localitate.Name }}</option>
                                            {% endif %}
                                        {% endfor %}
                                    </select>
                                  </td>
                                </tr>
                                <tr>
                                    <td>{{ entry_address }}</td>
                                    <td><textarea class="form-control" name="address">{{ awb.row.address }}</textarea></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_postalcode }}</td>
                                    <td><textarea class="form-control" name="postcode">{{ awb.row.postcode }}</textarea></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_contact }}</td>
                                    <td><input class="form-control" type="text" name="contact" value="{{ awb.row.contact }}"></input></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_phone }}</td>
                                    <td><input class="form-control" type="text" name="phone" value="{{ awb.row.phone }}"></input></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_email }}</td>
                                    <td><input class="form-control" type="text" name="email" value="{{ awb.row.email }}"></input></td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <h4 style="font-weight:bold; margin:0;">{{ text_details }}</h4>
                                    </td>
                                </tr>
                                <tr>
                                    <td>{{ entry_parcels }}</td>
                                    <td><input class="form-control" type="text" name="parcels" value="{{ awb.row.parcels }}"></input></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_envelopes }}</td>
                                    <td><input class="form-control" type="text" name="envelopes" value="{{ awb.row.envelopes }}"></input></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_weight }}</td>
                                    <td><input class="form-control" type="text" name="weight" value="{{ awb.row.weight }}"></input></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_value }}</td>
                                    <td><input class="form-control" type="text" name="value" value="{{ awb.row.value }}"></input></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_cash_repayment }}</td>
                                    <td><input class="form-control" type="text" name="cash_repayment" value="{{ awb.row.cash_repayment }}"></input></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_bank_repayment }}</td>
                                    <td><input class="form-control" type="text" name="bank_repayment" value="{{ awb.row.bank_repayment }}"></input></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_other_repayment }}</td>
                                    <td><textarea class="form-control" name="other_repayment">{{ awb.row.other_repayment }}</textarea></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_payer }}</td>
                                    <td>
                                        <select class="form-control" name="payer">
                                            <option{% if awb.row.payer != 2 %} selected="selected" {% endif %} value="1">{{ text_sender }}</option>
                                            <option{% if awb.row.payer == 2 %} selected="selected" {% endif %} value="2">{{ text_recipient }}</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td>{{ entry_morning_delivery }}</td>
                                    <td>
                                        <select class="form-control" name="morning_delivery">
                                            <option{% if awb.row.morning_delivery != 1 %} selected="selected" {% endif %} value="0">{{ text_no }}</option>
                                            <option{% if awb.row.morning_delivery == 1 %} selected="selected" {% endif %} value="1">{{ text_yes }}</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td>{{ entry_saturday_delivery }}</td>
                                    <td>
                                        <select class="form-control" name="saturday_delivery">
                                            <option{% if awb.row.saturday_delivery != 1 %} selected="selected" {% endif %} value="0">{{ text_no }}</option>
                                            <option{% if awb.row.saturday_delivery == 1 %} selected="selected" {% endif %} value="1">{{ text_yes }}</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td>{{ entry_openpackage }}</td>
                                    <td>
                                        <select class="form-control" name="openpackage">
                                            <option{% if awb.row.openpackage != 1 %} selected="selected" {% endif %} value="0">{{ text_no }}</option>
                                            <option{% if awb.row.openpackage == 1 %} selected="selected" {% endif %} value="1">{{ text_yes }}</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td>{{ entry_observations }}</td>
                                    <td><textarea class="form-control" name="observations">{{ awb.row.observations }}</textarea></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_contents }}</td>
                                    <td><textarea class="form-control" name="contents">{{ awb.row.contents }}</textarea></td>
                                </tr>
                                <tr>
                                    <td>{{ entry_shipping_method }}</td>
                                    <td>
                                        <select class="form-control" name="shipping_code">
                                            <option{% if awb.row.shipping_code == 'cargus.destinatie' %} selected="selected" {% endif %} value="cargus.destinatie">{{ text_cargus_destinatie }}</option>
                                            <option{% if awb.row.shipping_code == 'cargus.franciza' %} selected="selected" {% endif %} value="cargus.franciza">{{ text_cargus_franciza }}</option>
                                            <option{% if awb.row.shipping_code == 'cargus_ship_and_go.ship_and_go' %} selected="selected" {% endif %} value="cargus_ship_and_go.ship_and_go">{{ text_cargus_ship }}</option>
                                        </select>
                                    </td>
                                </tr>
                            </table>

                        </div>
                    {% endif %}
                </div>
            </div>
        </form>
    </div>
</div>

<script>
    $(function(){
        function do_replace() {
            var element = null;
            if ($("input[name='city']").length) {
                element = $("input[name='city']");
            }
            if ($("select[name='city']").length) {
                element = $("select[name='city']");
            }
            var attr_name = element.attr('name');
            var attr_class = element.attr('class');
            var attr_id = element.attr('id');
            var value = element.val();

            if ($('select[name="zone_id"]').val().length > 0) {
                $.post('../index.php?route=extension/module/cargus/localitati&judet=' + $('select[name="zone_id"]').find('option:selected').attr('zone_id') + '&val=' + value, function (data) {
                    element.replaceWith('<select name="' + attr_name + '" class="' + attr_class + '" id="' + attr_id + '">' + data + '</select>');
                });
            } else {
                element.replaceWith('<input type="text" name="' + attr_name + '" class="' + attr_class + '" id="' + attr_id + '" value="' + value + '" />');
            }
        }

        $('select[name="zone_id"]').change(function(){
            do_replace();
        });
    });
</script>
{{ footer }}